; vi: set softtabstop=4 shiftwidth=4 tabstop=8 expandtab:
;
; Sample run configuration file.
;
; Paths are relative to the current working directory when superres was
; started.

[superres]
    ; a list of files to process.
    src = /SuperRes/bookshelf-00.png
    src = /SuperRes/bookshelf-01.png
    src = /SuperRes/bookshelf-02.png
    src = /SuperRes/bookshelf-03.png
    src = /SuperRes/bookshelf-04.png
    src = /SuperRes/bookshelf-05.png
    src = /SuperRes/bookshelf-06.png
    src = /SuperRes/bookshelf-07.png
    src = /SuperRes/bookshelf-08.png
    src = /SuperRes/bookshelf-09.png
    src = /SuperRes/bookshelf-10.png
    src = /SuperRes/bookshelf-11.png
    src = /SuperRes/bookshelf-12.png
    src = /SuperRes/bookshelf-13.png
    src = /SuperRes/bookshelf-14.png
    src = /SuperRes/bookshelf-15.png
    
    transonly=1

    ; All source images will be cropped to this region prior to image
    ; registration. These parameters are optional.
    cropx = 149
    cropy = 13
    cropw = 135
    croph = 104

    ; The output will be saved every "iterspersave" iterations.
    iterspersave = 90
    totaliters = 630

    ; Images will be saved to "destbase-nnn.png" where nnn is the iteration
    ; number (000 for the initial estimate).
    destbase = sr

    ; The enhancement factor. The image will be enlarged by this
    ; integer amount in the width and height dimensions.
    factor = 5

    ; Overrides the default step size for the steepest descent
    ; minimization process (beta, in the paper).
    stepsize = 0.002

    ; Overrides the default camera point spread function.
    ; The PSF will be a "blurwidth" x "blurwidth" Gaussian blur kernel
    ; with standard deviation "blurdev".
    blurwidth = 10
    blurdev = 7.5

    ; Spatial luminance regularization (detail sharpening).
    ; 0 < alpha < 1: spatial decay weight
    ; P, integer: jiggle radius
    ; lambdaLum: regularization weight
    ; The regularization term's contribution to each iteration is scaled
    ; by lambdaLum * stepsize.
    alpha = 0.6
    P = 2
    lambdaLum = 0.05

    ; Spatial chrominance (colour smoothing) weight.
    lambdaChrom = 5.0

    ; Inter-colour edge orientation dependency weight.
    lambdaOrient = 0.01
